<?PHP
declare(strict_types = 1);

/**
 * Exception thrown in case the main entity of a page (e.g. an object, an institution etc.)
 * are not set public.
 */
final class MDPageNotInAggregatedException extends Exception {

    /**
     * Error message.
     *
     * @return string
     */
    public function errorMessage() {
        //error message
        $errorMsg = 'There is no entity to be shown here (id: <b>' . $this->getMessage() . '</b>).';
        return $errorMsg;

    }

}
